Uploaded image for project: 'Titanium SDK/CLI'
  1. Titanium SDK/CLI
  2. TIMOB-5010

Latest version of Java unusable for building Android projects

    Details

    • Type: Bug
    • Status: Closed
    • Priority: Medium
    • Resolution: Fixed
    • Affects Version/s: Release 1.8.0
    • Component/s: Android, Tooling
    • Environment:
    • Story Points:
      3

      Description

      1) Download and install latest Java JDK 7
      http://www.oracle.com/technetwork/java/javase/downloads/java-se-jdk-7-download-432154.html
      2) Create a new Android project and launch to emulator

      Results:
      build.log has the following contents

      Logfile initialized
      [INFO] logfile = C:\Users\alan\My Documents\Titanium Studio Workspace\Hello\build.log
      [DEBUG] C:\ProgramData\Titanium\mobilesdk\win32\1.8.0.v20110811101746\android\builder.py simulator Hello C:\Users\alan\android-sdk C:\Users\alan\My Documents\Titanium Studio Workspace\Hello com.appcelerator.hello 17 WVGA854
      [INFO] Building Hello for Android ... one moment
      [ERROR] JDK version 1.7.0 detected, but 1.6 is required

        Attachments

          Issue Links

            Activity

              People

              • Assignee:
                cbarber Chris Barber
                Reporter:
                avaghti Alan Vaghti
              • Watchers:
                5 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved:

                  Git Source Code